List existing applicants
curl --request GET \
--url https://api.dataspike.io/api/v3/applicants \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/applicants"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"applicant_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"external_id": "external_user_id_123",
"type": "Person",
"email": "john.doe@example.org",
"phone": "+1234567890",
"system_info": {
"full_name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"dob": "1987-12-24T00:00:00.000Z",
"gender": "M",
"citizenship": "DE",
"country": "DE",
"address": "Paris, France",
"addresses": {
"residence": {
"country": "DE",
"city": "Berlin",
"postal_code": "10999",
"street": "Wiener Straße 17"
}
},
"custom_fields": {}
},
"provided_info": {
"full_name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"dob": "1987-12-24T00:00:00.000Z",
"gender": "M",
"citizenship": "DE",
"country": "DE",
"address": "Paris, France",
"addresses": {
"residence": {
"country": "DE",
"city": "Berlin",
"postal_code": "10999",
"street": "Wiener Straße 17"
}
},
"custom_fields": {}
},
"last_verification_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"aml_screening_enabled": false,
"last_aml_screening_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"last_screened_at": "2023-07-18T15:32:13.000Z",
"last_tags": [],
"tg_profile": "1234567890",
"search_options": {
"risk_scores": [],
"tags": [],
"sources": [
"<string>"
],
"fuzziness": true,
"fuzziness_level": 1,
"phonetics": true,
"mode": 0
}
}
],
"has_next": false
}Applicants
List existing applicants
Allows to retrieve a collection of existing applicant profiles within the system.
GET
/
api
/
v3
/
applicants
List existing applicants
Authorizations
Query Parameters
Current page
Limit of returned applicants per page
Response
200 - application/json
List of the applicants
Object contains a list of an existing Applicant profiles
Object contains detailed information about the requested applicant, including various attributes associated with the applicant`s profile, facilitating a comprehensive understanding of their data.
- Option 1
- Option 2
Show child attributes
Show child attributes
This property serves as an indicator of whether there is a next page available in the paginated result
⌘I